Name: prometeus
Version: 0.71
Release: alt1

Summary: Site and site-utils for Sisyphus and ALT Linux Team
License: GPL
Group: Networking/WWW

URL: http://alt.linux.kiev.ua

Source: %name-%version.tar.bz2
BuildArch: noarch

Provides: perl(altbase.pm)
Requires: perl-DBD-mysql

# Automatically added by buildreq on Mon Apr 18 2005 (-bi)
BuildRequires: perl-CGI perl-DBI perl-RPM perl-URI perl-libwww

%package data
Summary: full mysql dump
Group: Development/Other
Requires: %name = %version-%release

%description
prometeus is a project of informational site for Sisyphus and ALT Linux Team.
It contain full information about all rpm packages, maintainers, buglist of
Sisyphus. Simple and clear interface and navigation allow one easy to get any
interesting information and statistics reposrts.
Also site can be used for any consistent repositories of rpm packages.

%description data
dump of MySQL database contains all prometeus's data

%prep
%setup -q -n %name
%__subst "s|--path--|%_datadir/%name|" A.prometeus.conf prometeus.conf web/cgi-bin/adm/altbase.pm
%build

%install
%__mkdir_p %buildroot%_datadir/%name
%__cp -R web scripts sql A.prometeus.conf prometeus.conf %buildroot%_datadir/%name

%files data
%_datadir/%name/sql/%name-data.sql.bz2

%files
%doc AUTHORS CHANGELOG COPYING INSTALL README TODO
%dir %_datadir/%name
%_datadir/%name/prometeus.conf
%_datadir/%name/A.prometeus.conf
%dir %_datadir/%name/sql
%_datadir/%name/sql/prometeus.sql
%dir %_datadir/%name/scripts
%_datadir/%name/scripts/*2mysql
%attr(0640,root,root) %config %_datadir/%name/scripts/config
%dir %_datadir/%name/web
%_datadir/%name/web/html
%dir %_datadir/%name/web/cgi-bin
%_datadir/%name/web/cgi-bin/*.pl
%defattr(640,root,apache)
%attr(0750,root,apache)%dir %_datadir/%name/web/cgi-bin/adm
%_datadir/%name/web/cgi-bin/adm/altbase.pm

%changelog
* Sat Apr 16 2005 Vladimir Lettiev <crux@altlinux.ru> 0.71-alt1
- 0.71
- just simple and clear install

* Mon Jul 12 2004 Vladimir Lettiev <crux@altlinux.ru> 0.3-alt1
- initial release for ALT Linux Team

